@import url('https://fonts.googleapis.com/css2?family=KoHo:wght@300;400;500&display=swap');

html {
    scroll-behavior: smooth;
  }

body {
    margin: 0;
    font-family: 'KoHo', sans-serif;
}
h1 {
    font-size: 3vw;
    text-align: center;
}
h2 {
    font-size: 2vw;
    text-align: center;
}
h3 {
    font-size: 1.5vw;
    text-align: center;
}

.contact-line {
    overflow: hidden;
    position: fixed;
    top: 0;
    width: 100%;
    display: flex;
    align-items: center;
    height: 2vw;
    background-color: rgb(0, 0, 139);
    font-size: 1.2vw;
    color: white;
    z-index: 100;
}

.contact {
    display: flex;
    justify-content: space-evenly;
    flex-grow: 1;
}

.contact-text {
    display: flex;
    justify-content: flex-end;
    flex-grow: 3;
    margin-right: 1%;
}

.contact > a {
    text-decoration: none;
    color: white;
}

.contact > a:hover {
    text-decoration: underline;
}

.contact > a:visited {
    color: none;
}

.navigation {
    position: fixed;
    display: grid;
    grid-template-columns: 0.5fr 1.3fr 5fr;
    top: 2vw;
    width: 100%;
    height: 5vw;
    background-color: rgb(220,220,220);
    align-items: center;
    z-index: 100;
}

.logo:hover {
    cursor: pointer;
}

.logo > img {
    display: flex;
    width: 60%;
    margin-left: 20%;
}

.nav-text {
    cursor: pointer;
    font-size: 2vw;
    font-weight: 500;
}

.nav-button {
    font-size: 1.7vw;
    display: grid;
    grid-auto-flow: column;
    justify-items: center;
    margin-left: 100px;
}

.nav-button > a {
    justify-self: center;
    color: rgb(0, 0, 139);
}

.nav-button > a {
    text-decoration: none;
}


.nav-button > a:hover {
    text-decoration: underline;
}

.nav-button > a:visited {
    color: none;
}

.menu {
    display: grid;
    margin-top: 8vw;
    margin-left: 20px;
    margin-right: 20px;
    column-gap: 20px;
}

.menu > div > img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    filter: brightness(70%);
}

.mini-menu {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
}

.mini-menu-pic-text:nth-of-type(1){
    background-color: rgb(220,220,220);
}

.mini-menu-pic-text:nth-of-type(3){
    background-color: rgb(220,220,220);
}

.mini-menu-pic-text {
    display: grid;
    grid-template-columns: 1fr 1.5fr;
}

.mini-menu-pic-text > img {
    width: 100%;
    object-fit: contain;
    align-self: center;
}

.mini-menu-pic-text > div {
    font-weight: bold;
    font-size: 1.3vw;
    padding-left: 20px;
    padding-top: 20px;
}

.img-text-1 {
    color: white;
    position: absolute;
    top: 15vw;
    left: 28%;
    font-size: 4vw;
    font-weight: bold;
    padding: 15px;
}

.img-text-2 {
    color: white;
    position: absolute;
    top: 23vw;
    left: 25%;
    font-size: 6vw;
    font-weight: bold;
    padding: 15px;
}

.img-text-3 {
    color: white;
    position: absolute;
    top: 30vw;
    left: 35%;
    font-size: 4vw;
    font-weight: bold;
    padding: 15px;
}

.img-text-mobile {
    display: none;
}

.menu > img {
    margin-top: 7%;
}

.advertisement {
    background-color: red;
    color: white;
    font-weight: bold;
    font-size: 1.2vw;
    margin-top: 10px;
    margin-left: 10%;
    margin-right: 10%;
    padding: 2%;
    border-radius: 20px;
}

.portfolio {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 150px 100px 150px 100px;
    margin-top: 50px;
    margin-left: 50px;
    margin-right: 50px;
    justify-items: center;
    font-size: 1.2vw;
    font-weight: bold;
    text-align: center;
}

.portfolio-mobile {
    display: none;
}

.portfolio-line {
    display: flex;
    align-items: center;
    width: 100%;
    height: 5vw;
    background-color: rgb(0, 0, 139);
    font-size: 2vw;
    font-weight: bold;
    color: white;
    margin-top: 20vw;
}

.portfolio-line > p {
    margin-left: 2vw;
}

.partners-line {
    display: flex;
    align-items: center;
    width: 100%;
    height: 5vw;
    background-color: rgb(0, 0, 139);
    font-size: 2vw;
    font-weight: bold;
    color: white;
    margin-top: 5vw;
}

.partners-line > p {
    margin-left: 2vw;
}

.logo-pic {
    display: grid;
    width: 150px;
    height: 150px;
    justify-self: center;
}

.guarantee {
    background-color: rgb(220,220,220);
    color: rgb(0, 0, 139);
    font-size: 2vw;
    font-weight: bold;
    width: 80%;
    border-radius: 30px;
    border: 1px solid rgb(0, 0, 139);
    text-align: center;
    margin-left: 10%;
}

.guarantee > p {
    padding-top: 0px;
}

.intro-line {
    display: flex;
    align-items: center;
    width: 100%;
    height: 5vw;
    background-color: rgb(0, 0, 139);
    font-size: 2vw;
    font-weight: bold;
    color: white;
    margin-top: 20px;
}

.intro-line > p {
    margin-left: 2vw;
    
}

.intro {
    display: grid;
    grid-template-columns: 2fr 3fr;
    margin-bottom: 20px;
    width: 90%;
    margin: 0 auto;
}

.intro-inside {
    display: grid;
    grid-template-columns: 1fr 4fr;
}

.intro-text {
    margin-top: 20px;
    font-size: 1.3vw;
    font-weight: 500;
}

.intro-text > div > a {
    text-decoration: none;
    color: rgb(0, 0, 139);
}

.intro-text > div > a:hover {
    text-decoration: underline;
}

.name {
    font-size: 2vw;
}

.icon {
    color: limegreen;
}

.intro-pic > img {
    width: 260px;
    height: 260px;
    margin: 20px;
    border-radius: 30px;
}

.partners {
    display: grid;
    grid-template-columns: 2fr 2fr 2fr 2fr;
    font-size: 3vw;
    font-weight: 900;
    width: 80%;
    margin: 0 auto;
    margin-top: 50px;
    row-gap: 20px;
}

.partners > div > img {
    width: 10vw;
}

.partners > div:nth-of-type(3) > img {
    width: 10vw;
}

.partners > div:nth-of-type(4) > img {
    width: 10vw;
}

.avatars {
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    font-size: 5vw;
    justify-self: center;
    color: rgb(0, 0, 139);
}

.avatars > div:nth-of-type(2) {
    margin-top: 30px;
}

.avatars > div:nth-of-type(3) {
    margin-top: 45px;
}

.gallery > img {
    border-radius: 30px;
}

.references-line {
    display: grid;
    grid-template-columns: 1fr 3fr;
    width: 100%;
    background-color: rgb(0, 0, 139);
    font-size: 2vw;
    font-weight: bold;
    color: white;
    margin-bottom: 30px;
    margin-top: 20px;
}

.references-line > div:first-of-type {
    margin-left: 2vw;
    margin-top: 10px;
    margin-bottom: 10px;
}

.references-line > div:last-of-type {
    font-size: 1vw;
    margin-top: 25px;
    padding-left: 20px;
}

.reference > img {
    width: 80%;
    border-radius: 10%;
    margin: 0 auto;
    margin-top: 5px;
}

.references {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    row-gap: 30px;
    justify-items: center;
    text-align: center;
    margin-bottom: 50px;
}

.reference {
    display: grid;
    font-size: 1.3vw;
    font-weight: bold;
    padding: 2px;
}

.contactline {
    display: flex;
    align-items: center;
    width: 100%;
    height: 5vw;
    background-color: rgb(0, 0, 139);
    font-size: 2vw;
    font-weight: bold;
    color: white;
    margin-top: 20px;
    margin-bottom: 30px;
}

.contactline > p {
    margin-left: 2vw;
}

form#contact-form.form-horizontal {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    row-gap: 5%;
}

.contact-form {
    display: grid;
    grid-template-columns: 1fr 2fr;
    column-gap: 5%;
    border: solid 5px;
    border-radius: 30px;
    border-color: rgb(0, 0, 139);
    margin-top: 2%;
    padding: 2vw;
    margin: 0 auto;
    width: 91%;
    background-color: aliceblue;
    font-size: 1.5vw;
    font-weight: 500;
}

#form-name {
    width: 80%;
    height: 2vw;
    border-radius: 5px;
    border: 1px solid black;
    padding-left: 10px;
    font-family: 'KoHo', sans-serif;
    font-size: 1.1vw;
}

#form-email {
    width: 80%;
    height: 2vw;
    border-radius: 5px;
    border: 1px solid black;
    padding-left: 10px;
    font-family: 'KoHo', sans-serif;
    font-size: 1.1vw;
}

#form-phone {
    width: 80%;
    height: 2vw;
    border-radius: 5px;
    border: 1px solid black;
    padding-left: 10px;
    font-family: 'KoHo', sans-serif;
    font-size: 1.1vw;
}

#form-message {
    width: 150%;
    height: 22vw;
    border-radius: 5px;
    border: 1px solid black;
    padding-left: 10px;
    padding-top: 10px;
    font-family: 'KoHo', sans-serif;
    font-size: 1.1vw;
}

.form-group:last-of-type {
    margin-top: 10%;
}

#contact-form > div:nth-child(6) > div > button {
    width: 100px;
    height: 50px;
    font-size: 1.1vw;
    font-weight: bold;
    border-radius: 10px;
    border: 2px solid rgb(0, 0, 139);
    background-color: white;
    color: black;
}

#contact-form > div:nth-child(6) > div > button:hover {
    box-shadow: 0 0 20px grey;
    transition: 0.5s;
    cursor: pointer;
}

.contact-text-small > ul {
    list-style-type: none;
    font-size: 1.3vw;
}

.contact-text-small > ul > li {
    margin-bottom: 20px;
}

.contact-text-small > ul > li > a {
    text-decoration: none;
}

.contact-text-small > ul > li > a:hover {
    text-decoration: underline;
}

#myBtn {
    display: none;
    position: fixed;
    font-size: 3vw;
    bottom: 30px;
    right: 30px;
    z-index: 99;
    border: none;
    outline: none;
    background-color: rgb(0, 0, 139);
    color: white;
    cursor: pointer;
    padding: 5px;
    padding-bottom: 2px;
    border-radius: 50%;
}
  
#myBtn:hover {
    color: aliceblue;
    box-shadow: 0 0 20px black;
    transition: 0.5s;
}

.topnav {
    display: none;
    overflow: hidden;
    background-color: #c6c6c6;
    position: fixed;
    top: 0;
    z-index: 100;
}
  
.topnav #myLinks {
    display: none;
}
  
.topnav a {
    color: black;
    padding: 10px 16px;
    text-decoration: none;
    font-size: 5vw;
    display: flex;
}
  
.topnav a.icon {
    display: block;
    position: absolute;
    right: 0;
    top: 0;
    margin-right: 10px;
}
  
.topnav a:hover {
    background-color: #ddd;
    color: black;
}

.topnav > a > img {
    margin-right: 10px;
}

.topnav > .icon {
    font-size: 7vw;
}
  
.active {
    background-color: rgb(220,220,220);
    color: black;
    align-items: center;
}

.active > img {
    width: 10%;
}

.footer {
    bottom: 0;
    overflow: hidden;
    width: 100%;
    display: flex;
    align-items: center;
    height: 4vw;
    background-color: rgb(0, 0, 139);
    font-size: 1.2vw;
    color: white;
    z-index: 100;
    margin-top: 20px;
}

.footer-mobile {
    display: none;
}

.footer-mobile-contact > a {
    text-decoration: none;
    color: white;
}

.footer-contact {
    display: flex;
    justify-content: space-evenly;
    flex-grow: 1;
}

.footer-contact-text {
    display: flex;
    justify-content: flex-end;
    flex-grow: 3;
    margin-right: 1%;
}

.footer-contact > a {
    text-decoration: none;
    color: white;
}

.footer-contact > a:hover {
    text-decoration: underline;
}

.footer-contact > a:visited {
    color: none;
}

.alert-success {
    font-size: 2vw;
    text-align: center;
    border: solid 5px;
    border-radius: 30px;
    border-color: rgb(0, 0, 139);
    margin-top: 2%;
    margin-bottom: 20px;
    width: 80%;
    margin-left: 10%;
    background-color: aliceblue;
    font-weight: 500;
}

.main-buttons {
    display: grid;
    grid-template-columns: 33% 33% 33%;
    margin-top: -10%;
    z-index: 10;
    height: 20vw;
}

.main-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60%;
    height: 85%;
    margin: 0 auto;
    border: 2px solid rgb(0, 0, 139);
    background-color: aliceblue;
    color: black;
}

a.main-button {
    text-decoration: none;
    text-align: center;
    font-size: 1.8vw;
    font-weight: bold;
    display: grid;
    justify-items: center;
    padding: 2vw;
}

a.main-button:hover {
    box-shadow: 0 0 20px grey;
    transition: 0.5s;
    cursor: pointer;
}

.main-button > img {
    width: 80%;
}

.main-button:nth-of-type(2) > img {
    width: 100%;
}

.main-button > p:nth-of-type(2) {
    font-weight: lighter;
    font-size: 1.2vw;
}

.back-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 50px;
    margin: 0 auto;
    border: 2px solid rgb(0, 0, 139);
    background-color: aliceblue;
    color: black;
    border-radius: 10px;
}

a.back-button {
    text-decoration: none;
    text-align: center;
    font-size: 1.3vw;
    font-weight: bold;
}

a.back-button:hover {
    box-shadow: 0 0 20px grey;
    transition: 0.5s;
    cursor: pointer;
}

.back-button-2 {
    font-size: 1.4vw;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 5px;
    border-width: 1px;
    background-color: rgb(0, 0, 139);
    color: white;
    transition: 0.5s;
    width: 120px;
    height: 40px;
    margin-top: 130px;
    margin-left: 20px;
    margin-bottom: 20px;
}

a.back-button-2 {
    text-decoration: none;
}

.details {
    font-size: 1.5vw;
    width: 60%;
    margin: 0 auto;
    margin-bottom: 50px;
    margin-left: 35%;
}

.details > div > i {
    color: rgb(0, 0, 139);
}

.details-kiskapu {
    font-size: 1.5vw;
    align-self: center;
}

.details-kiskapu > div > i {
    color: rgb(0, 0, 139);
}

.details-nagykapu > div > i {
    color: rgb(0, 0, 139);
}

.details-nagykapu {
    margin: 0 auto;
    font-size: 1.5vw;
    width: fit-content;
    margin-top: 50px;
    margin-bottom: 50px;
}

.kiskapu {
    display: grid;
}

.kiskapu > img {
    width: 30%;
    margin: 0 auto;
    margin-top: 20px;
    place-self: center;
}

.kiskapu-keret {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-auto-flow: column;
}

.nagykapu {
    display: grid;
}

.nagykapu > img {
    width: 40%;
    margin: 0 auto;
    margin-top: 20px;
}

.uszokapu {
    display: grid;
}

.uszokapu > img {
    width: 55%;
    margin: 0 auto;
    margin-top: 20px;
}

.kerites-keret {
    grid-template-columns: 1fr 1fr;
    display: grid;
    grid-auto-flow: column;
}

.details-kerites > div > i {
    color: rgb(0, 0, 139);
}

.details-kerites {
    font-size: 1.5vw;
    width: fit-content;
    margin-top: 50px;
    margin-bottom: 50px;
}

.kerites {
    display: grid;
}

.kerites > img {
    width: 67%;
    margin: 0 auto;
    margin-top: 20px;
    place-self: center;
}

div:nth-child(19) > div.kerites > img {
    margin-top: -50px;
}

.kocsibeallo-kepek {
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.kocsibeallo-kepek > div > img {
    display: grid;
    width: 70%;
}

.kocsibeallo-kepek > div:first-of-type {
    text-align: -webkit-right;
}

.details-kocsibeallo {
    margin: 0 auto;
    font-size: 1.5vw;
    width: fit-content;
    margin-top: 50px;
    margin-bottom: 50px;
}

.details-kocsibeallo > div > i {
    color: rgb(0, 0, 139);
}

.navbar {
    overflow: hidden;
    background-color: #333;
}
  
.navbar a {
    float: left;
    font-size: 1.7vw;
    color: rgb(0, 0, 139);
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}
  
.dropdown {
    float: left;
    overflow: hidden;
}
  
.dropdown .dropbtn {
    font-size: 1.7vw;  
    border: none;
    outline: none;
    color: rgb(0, 0, 139);
    background-color: inherit;
    font-family: inherit;
    margin: 0;
    padding: 0;
}
  
.navbar a:hover, .dropdown:hover .dropbtn {
    background-color: rgb(220,220,220);
}
  
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}
  
.dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}
  
.dropdown-content a:hover {
    background-color: #ddd;
}
  
.dropdown:hover .dropdown-content {
    display: block;
}

.pop-ral-colors {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    justify-items: center;
}

.pop-ral-colors > div {
    text-align: center;
}

.pop-ral-colors > div:nth-of-type(7) {
    font-size: 1.5vw;
}

.pop-ral-colors > div:nth-of-type(8) {
    font-size: 1.5vw;
}

.pop-ral-colors > div:nth-of-type(9) {
    font-size: 1.5vw;
}

.pop-ral-colors > div:nth-of-type(10) {
    font-size: 1.5vw;
}

.pop-ral-colors > div:nth-of-type(11) {
    font-size: 1.5vw;
}

.pop-ral-colors > div:nth-of-type(12) {
    font-size: 1.5vw;
}

.pop-ral-colors-mobile {
    display: none;
}

.pop-ral-colors-mobile > div {
    text-align: center;
}

@media (max-width: 1300px) {
    h1{
        font-size: 4vw;
    }
    h2 {
        font-size: 3vw;
    }
    h3 {
        font-size: 2vw;
    }
    .details {
        font-size: 2vw;
    }
    .back-button-2 {
        font-size: 2vw;
        font-weight: bold;
    }
    #contact-form > div:nth-child(6) > div > button {
        font-size: 1.4vw;
    }
}

@media (max-width: 768px) {  /*Tablet optimalizálás*/
    h1 {
        font-size: 5vw;
    }
    h2 {
        font-size: 4vw;
    }
    h3 { 
        font-size: 3vw;
    }
    .navbar a {
        font-size: 2vw;
    }
    .dropdown .dropbtn {
        font-size: 2vw;
    }
    .details {
        width: 70%;
        font-size: 2.5vw;
        margin-left: 25%;
    }
    .details-kiskapu {
        width: 90%;
        margin: 0 auto;
        font-size: 2.5vw;
        align-self: center;
        margin-left: 7vw;
        margin-top: 5vw;
        margin-bottom: 3vw;
    }
    .kiskapu-keret {
        grid-template-columns: 2fr 3fr;
    }
    .kiskapu {
        align-self: center;
    }
    .kiskapu > img {
        width: 80%;
        margin: 18px;
    }
    .details-nagykapu {
        margin-bottom: 5vw;
        margin-top: 5vw;
        font-size: 2.5vw;
    }
    .nagykapu > img {
        width: 90%;
        margin: 0 auto;
        margin-top: 20px;
    }
    .details-uszokapu {
        margin-bottom: 5vw;
        margin-top: 5vw;
        font-size: 2.5vw;
    }
    .uszokapu > img {
        width: 90%;
        margin: 0 auto;
        margin-top: 20px;
    }
    .details-kerites {
        margin-bottom: 5vw;
        margin-top: 5vw;
        font-size: 2.5vw;
    }
    .kerites > img {
        width: 80%;
        margin: 0 auto;
        margin-top: 20px;
    }
    
    .kocsibeallo-kepek > div > img {
        display: grid;
        margin: 0 auto;
        width: 90%;
    }
    .details-kocsibeallo {
        margin: 0 auto;
        font-size: 2.5vw;
        width: fit-content;
        margin-top: 50px;
        margin-bottom: 50px;
    }
    .nav-button {
        margin-left: 20px;
        font-size: 2vw;
    }
    .nav-text {
        font-size: 2.5vw;
    }
    .menu {
        margin-top: 10vw;
        margin-left: 10px;
        margin-right: 10px;
        column-gap: 10px;
    }
    .mini-menu-pic-text > div {
        padding-top: 10px;
        padding-left: 10px;
    }
    .contact-line {
        font-size: 1.5vw;
        height: 4vw;
    }
    .contact-text {
        flex-grow: 0.5;
    }
    .navigation {
        top: 4vw;
        height: 5vw;
    }
    .portfolio {
        grid-template-rows: 100px 80px 100px 80px;
        column-gap: 20px;
        font-size: 1.8vw;
        margin-bottom: 50px;
    }
    .portfolio > img {
        height: 100px;
        width: 100px;
    }
    .portfolio-line {
        height: 6vw;
    }
    .partners-line {
        height: 6vw;
    }
    .img-text {
        top: 100px;
        left: 20px;
    }
    .advertisement {
        padding: 1%;
        font-size: 1.8vw;
    }
    .intro-line {
        height: 6vw;
    }
    .intro-pic > img {
        width: 100px;
        height: 100px;
    }
    .intro-text {
        font-size: 1.8vw;
    }
    .avatars {
        font-size: 5vw;
    }
    .partners {
        grid-template-columns: 2fr 2fr 2fr 2fr;

    }
    .references-line > div:last-of-type {
        font-size: 1.2vw;
        margin-top: 20px;
    }
    .contact-form {
        font-size: 2.2vw;
        padding: 15px;
    }
    .contact-text-small > ul {
        font-size: 2vw;
    }
    #form-name {
        font-size: 1.3vw;
        width: 80%;
    }
    #form-email {
        font-size: 1.3vw;
        width: 80%;
    }
    #form-phone {
        font-size: 1.3vw;
        width: 90%;
    }
    #form-message {
        height: 45vw;
        font-size: 1.4vw;
    }
    #contact-form > div:nth-child(6) > div > button {
        font-size: 2vw;
        width: 15vw;
        height: 7.5vw;
        color: black;
    }
    #myBtn {
        font-size: 4vw;
    }
    .footer {
        font-size: 1.5vw;
    }
    .footer-contact-text {
        flex-grow: 0.5;
    }
    .back-button-2 {
        font-size: 1.8vw;
        font-weight: bold;
        margin-top: 100px;
    }
    .alert-success {
        font-size: 3vw;
        margin: 0 auto;
        margin-top: 10vw;
        margin-bottom: 10vw;
        width: 80%;
    }
    .pop-ral-colors {
        padding-left: 10px;
        padding-right: 10px;
    }
    .pop-ral-colors > div:nth-of-type(7) {
        font-size: 2vw;
    }
    
    .pop-ral-colors > div:nth-of-type(8) {
        font-size: 2vw;
    }
    
    .pop-ral-colors > div:nth-of-type(9) {
        font-size: 2vw;
    }
    
    .pop-ral-colors > div:nth-of-type(10) {
        font-size: 2vw;
    }
    
    .pop-ral-colors > div:nth-of-type(11) {
        font-size: 2vw;
    }
    
    .pop-ral-colors > div:nth-of-type(12) {
        font-size: 2vw;
    }
    .main-buttons {
        height: 200px;
    }
}

@media (max-width: 767px) {  /*Mobil optimalizálás*/
    h1 {
        font-size: 7vw;
    }
    h2 {
        font-size: 6vw;
    }
    h3 {
        font-size: 5vw;
    }
    .details {
        width: 90%;
        margin: 0 auto;
        margin-bottom: 10vw;
        font-size: 4vw;
    }
    .details-kiskapu {
        width: 100%;
        margin: 0 auto;
        margin-bottom: 5vw;
        font-size: 4vw;
    }
    .kiskapu {
        text-align: center;
    }
    .kiskapu > img {
        width: 50%;
    }
    .details-nagykapu {
        width: 90%;
        margin: 0 auto;
        margin-bottom: 5vw;
        margin-top: 5vw;
        font-size: 4vw;
    }
    .details-uszokapu {
        width: 90%;
        margin: 0 auto;
        margin-bottom: 5vw;
        margin-top: 5vw;
        font-size: 4vw;
    }
    .kocsibeallo-kepek {
        display: grid;
        grid-template-columns: 1fr;
    }
    .kocsibeallo-kepek > div > img {
        display: grid;
    }
    .contact > a:nth-of-type(3) {
        display: none;
    }
    .contact > a:nth-of-type(4) {
        display: none;
    }
    .contact-text {
        display: none;
    }
    .contact {
        font-size: 4vw;
    }
    .contact-line {
        height: 15vw;
        width: 100%;
    }
    .navigation {
        display: none;
    }
    .topnav {
        display: block;
        margin-top: 15vw;
        width: 100%;
    }
    .topnav > a {
        padding: 0;
    }
    .topnav > a > img {
        margin-right: 10px;
        margin-left: 10px;
    }
    .topnav > a.icon {
        margin-right: 15px;
        padding: 10px 15px;
    }
    .img-text {
        display: none;
    }
    .img-text-mobile {
        display: block;
        font-size: 6vw;
        font-weight: bold;
    }
    .active > img {
        width: 15%;
    }
    .menu {
        display: block;
        margin-top: 36vw;
    }
    .mini-menu-pic-text {
        display: block;
    }
    .mini-menu-pic-text:nth-of-type(1){
        background-color: unset;
        margin-top: 15vw;
    }
    .mini-menu-pic-text:nth-of-type(2){
        margin-top: 10vw;
    }
    .mini-menu-pic-text:nth-of-type(3){
        background-color: unset;
        margin-top: 15vw;
    }
    .mini-menu-pic-text > div {
        font-size: 6vw;
        padding: 0;
    }
    .advertisement {
        font-size: 4vw;
        margin-left: 5%;
        margin-right: 5%;
        padding: 5%;
        margin-bottom: 10vw;
        margin-top: 10vw;
    }
    .portfolio {
        display: none;
    }
    .portfolio-mobile {
        display: grid;
        grid-template-columns: 1fr 1fr;
        row-gap: 50px;
        width: 90%;
        justify-items: center;
        text-align: center;
        font-size: 3.5vw;
        font-weight: bold;
        margin-left: 5%;
        margin-bottom: 50px;
        margin-top: 20px;
    }
    .portfolio-line {
        display: flex;
        align-items: center;
        background-color: rgb(0, 0, 139);
        color: white;
        font-weight: bold;
        font-size: 6vw;
        height: 15vw;
        width: 100%;
        margin-top: 5vw;
    }
    .partners-line {
        display: flex;
        align-items: center;
        background-color: rgb(0, 0, 139);
        color: white;
        font-weight: bold;
        font-size: 6vw;
        height: 15vw;
        width: 100%;
        margin-top: 5vw;
    }
    .guarantee {
        font-size: 6vw;
    }
    .name {
        font-size: 5vw;
    }
    .intro-line {
        display: flex;
        align-items: center;
        background-color: rgb(0, 0, 139);
        color: white;
        font-weight: bold;
        font-size: 6vw;
        height: 15vw;
        width: 100%;
    }
    .intro {
        display: block;
        font-size: 3vw;
        width: 90%;
        margin-left: 5%;
        margin: 0 auto;
    }
    .intro-pic {
        display: flex;
        justify-content: center;
    }
    .intro-pic > img {
        width: unset;
        height: unset;
    }
    .intro-text {
        font-size: 5vw;
        margin-right: unset;
    }
    .intro-inside {
        margin-bottom: 40px;
    }
    .avatars {
        font-size: 15vw;
    }
    .profession {
        font-size: 4vw;
    }
    .partners {
        display: block;
        font-size: 10vw;
    }
    .partners > div {
        text-align: -webkit-center;
    }
    .partners > div > img {
        margin-bottom: 20px;
    }
    .references-line {
        display: inline-table;
        align-items: center;
        background-color: rgb(0, 0, 139);
        color: white;
        font-weight: bold;
        font-size: 6vw;
        height: 15vw;
        width: 100%;
    }
    .references-line > div:first-of-type {
        margin-left: unset;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-left: 5%;
    }
    .references-line > div:last-of-type {
        font-size: 3vw;
        margin-left: 5%;
        margin-right: 5%;
        margin-bottom: 20px;
        width: 80%;
    }
    .references {
        grid-template-columns: 1fr 1fr;
    }
    .reference {
        font-size: 3vw;
    }
    .contact-form {
        display: block;
        font-size: 5vw;
        width: 75%;
        padding: 5vw;
    }
    form#contact-form.form-horizontal {
        display: block;
    }
    .contact-text-small > ul {
        font-size: 4vw;
        padding-left: 20px;
    }
    .form-group {
        margin-bottom: 20px;
    }
    #form-name {
        font-size: 4vw;
        width: 95%;
        height: 8vw;
    }
    #form-email {
        font-size: 4vw;
        width: 95%;
        height: 8vw;
    }
    #form-phone {
        font-size: 4vw;
        width: 95%;
        height: 8vw;
    }
    #form-message {
        font-size: 4vw;
        width: 95%;
        height: 64vw;
    }
    #contact-form > div:nth-child(6) > div > button {
        font-size: 4vw;
        width: 30vw;
        height: 15vw;
        color: black;
    }
    .footer {
        display: none;
    }
    .footer-mobile {
        justify-content: space-between;
        padding-right: 5%;
        padding-left: 5%;
        bottom: 0;
        overflow: hidden;
        width: 90%;
        display: flex;
        align-items: center;
        height: 15vw;
        background-color: rgb(0, 0, 139);
        font-size: 3.5vw;
        color: white;
        z-index: 100;
        margin-top: 20px;
    }
    #myBtn {
        display: none;
        font-size: 8vw;
    }
    .back-button-2 {
        margin-top: 38vw;
        font-size: 4vw;
        width: 20vw;
        height: 10vw;
        border-radius: 1vw;
    }
    .alert-success {
        font-size: 4vw;
        margin: 0 auto;
        margin-top: 10vw;
        margin-bottom: 10vw;
        width: 80%;
    }
    .kiskapu-keret {
        display: block;
        margin: 0 auto;
        width: 90%;
        margin-top: 20px;
    }
    .nagykapu > img {
        width: 95%;
        margin: 0 auto;
        margin-top: 20px;
    }
    div:nth-child(19) > div.kerites > img {
        margin-top: 20px;
    }
    .kerites-keret{
        display: block;
    }
    .details-kerites {
        width: 80%;
        margin: 0 auto;
        margin-bottom: 5vw;
        margin-top: 5vw;
        font-size: 4vw;
    }
    .details-kocsibeallo {
        width: 80%;
        margin: 0 auto;
        margin-bottom: 5vw;
        margin-top: 5vw;
        font-size: 4vw;
    }
    .kerites > img {
        width: 95%;
        margin: 0 auto;
        margin-top: 20px;
    }
    .pop-ral-colors {
        display: none;
    }
    .pop-ral-colors-mobile {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 2fr 1fr 2fr 1fr 2fr 1fr;
        justify-items: center;
        margin-top: 10px;
    }
    .partners > div > img {
        width: 40vw;
    }
    
    .partners > div:nth-of-type(3) > img {
        width: 40vw;
    }
    
    .partners > div:nth-of-type(4) > img {
        width: 40vw;
    }
    .contactline {
        display: flex;
        align-items: center;
        background-color: rgb(0, 0, 139);
        color: white;
        font-weight: bold;
        font-size: 6vw;
        height: 15vw;
        width: 100%;
    }
    .img-text-1 {
        top: 22%;
        left: 18%;
        font-size: 6vw;
        padding: 15px;   
    }
    .img-text-2 {
        top: 30%;
        left: 15%;
        font-size: 8vw;
        padding: 15px;
    }
    .img-text-3 {
        top: 35%;
        left: 25%;
        font-size: 6vw;
        padding: 15px;
    }
    .main-button {
        width: 95%;
        height: 70%;
    }
    .main-button > img {
        padding: 2%;
        width: 20%;
    }
    .main-button:nth-of-type(2) > img {
        padding: 0;
        width: 25%;
    }
    .main-button > p {
        padding: 2%;
        text-align: left;
    }
    .main-button > p:nth-of-type(2) {
        font-size: 3vw;
    }
    .main-buttons {
        grid-template-columns: unset;
        margin-top: unset;
        height: unset;
        margin-top: 5vw;
    }
    a.main-button {
        font-size: 4vw;
        display: flex;
    }
}